/// Enum for tender approval statuses
enum TenderApprovalStatus {
  submitted,
  rejected,
  unsubmitted,
  unrejected;

  /// Convert enum to string value for API
  String get value {
    switch (this) {
      case TenderApprovalStatus.submitted:
        return 'submitted';
      case TenderApprovalStatus.rejected:
        return 'rejected';
      case TenderApprovalStatus.unsubmitted:
        return 'unsubmitted';
      case TenderApprovalStatus.unrejected:
        return 'unrejected';
    }
  }
}
